// pages/api/talas_v5_DB/pois/getPoiById.js
import getPool from "../../../../utils/mysqlPool"; // Singleton-Pool importieren

export default async function handler(req, res) {
  const pool = getPool(); // Singleton-Pool verwenden

  if (req.method !== "GET") {
    res.setHeader("Allow", ["GET"]);
    return res.status(405).end(`Method ${req.method} Not Allowed`);
  }

  const { idPoi } = req.query;

  if (!idPoi) {
    return res.status(400).json({ error: "idPoi ist erforderlich" });
  }

  const query = "SELECT description FROM poi WHERE idPoi = ?";

  let connection;

  try {
    connection = await pool.getConnection(); // Hole eine Verbindung aus dem Pool

    // Ausführen der Abfrage mit dem Verbindungspool
    const [results] = await connection.query(query, [idPoi]);

    if (results.length === 0) {
      return res.status(404).json({ error: "POI nicht gefunden" });
    }

    res.status(200).json(results[0]);
  } catch (error) {
    console.error("Fehler bei der Abfrage:", error);
    res.status(500).json({ error: "Fehler bei der Abfrage" });
  } finally {
    if (connection) connection.release(); // Gib die Verbindung in den Pool zurück
  }
}
